org.springframework.ldap.filter

## Class AndFilter

- java.lang.Object
- - org.springframework.ldap.filter.AbstractFilter
  - - org.springframework.ldap.filter.BinaryLogicalFilter
    - - org.springframework.ldap.filter.AndFilter

- All Implemented Interfaces:
    Filter

      public class AndFilter
      extends BinaryLogicalFilter

  A filter for a logical AND. Example:

           AndFilter filter = new AndFilter();
           filter.and(new EqualsFilter("objectclass", "person");
           filter.and(new EqualsFilter("cn", "Some CN");
           System.out.println(filter.encode());

  would result in: `(&(objectclass=person)(cn=Some CN))`
  Author:
    Adam Skogman, Mattias Hellborg Arthursson
  See Also:
    `EqualsFilter`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AndFilter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AndFilter` | `and(Filter query)` Add a query to the AND expression.
    `protected String` | `getLogicalOperator()` Implement this in subclass to return the logical operator, for example "&".

    - ### Methods inherited from class org.springframework.ldap.filter.BinaryLogicalFilter

      `append, appendAll, encode, equals, hashCode`

    - ### Methods inherited from class org.springframework.ldap.filter.AbstractFilter

      `encode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AndFilter

          public AndFilter()

  - ### Method Detail

    - #### getLogicalOperator

          protected String getLogicalOperator()

      Description copied from class: `BinaryLogicalFilter`
      Implement this in subclass to return the logical operator, for example "&".
      Specified by:
        `getLogicalOperator` in class `BinaryLogicalFilter`
      Returns:
        the logical operator.

    - #### and

          public AndFilter and(Filter query)

      Add a query to the AND expression.
      Parameters:
        `query` - The expression to AND with the rest of the AND:ed expressions.
      Returns:
        This LdapAndQuery